## pymtbl 0.2

=== examples/wf/Makefile ===
EBOOKS = 2814 4217 4300

BOOK_FILES = $(foreach ebook,$(EBOOKS),$(ebook).txt)
MTBL_FILES = $(foreach ebook,$(EBOOKS),$(ebook).mtbl)

%.txt:
	@wget -O $@ http://www.gutenberg.org/files/$(shell basename $@ .txt)/$@

%.mtbl: %.txt
	rm -f $@
	./pymtbl_wf_analyze.py $< $@

wf.txt: wf.mtbl $(BOOK_FILES)
	./pymtbl_wf_dump.py wf.mtbl | sort -rn > wf.txt

wf.mtbl: $(MTBL_FILES) $(BOOK_FILES)
	rm -f wf.mtbl
	./pymtbl_wf_merge.py $(MTBL_FILES) wf.mtbl

clean:
	rm -f wf.mtbl wf.txt $(MTBL_FILES)

.PHONY: clean

## pymtbl 0.1

=== debian/changelog ===
pymtbl (0.1-2) unstable; urgency=low

  * Add missing build-dependency on cython.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 18 Mar 2012 14:07:33 -0400

pymtbl (0.1-1) unstable; urgency=low

  * Initial release; closes: #661209.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 04 Mar 2012 17:51:56 -0500

=== debian/control ===
Source: pymtbl
Section: python
Priority: optional
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends:
 debhelper (>= 9~),
 libmtbl-dev,
 python-all-dev (>= 2.6.6-3~),
 cython
Standards-Version: 3.9.3

Package: python-mtbl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: immutable sorted string table library (Python bindings)
 mtbl is a C library implementation of the Sorted String Table (SSTable)
 data structure, based on the SSTable implementation in the open source
 Google LevelDB library. An SSTable is a file containing an immutable
 mapping of keys to values. Keys are stored in sorted order, with an
 index at the end of the file allowing keys to be located quickly.
 .
 mtbl is not a database library. It does not provide an updateable
 key-value data store, but rather exposes primitives for creating,
 searching and merging SSTable files. Unlike databases which use
 the SSTable data structure internally as part of their data store,
 management of SSTable files -- creation, merging, deletion, combining
 of search results from multiple SSTables -- is left to the
 discretion of the mtbl library user.
 .
 This package contains the Python extension module for libmtbl.

## pymtbl 0.2

=== debian/changelog ===
pymtbl (0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 21 Jan 2014 18:30:53 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libmtbl-dev,
  python-all-dev (>= 2.6.6-3~),
  cython
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: python-mtbl
 Architecture: any

## pymtbl 0.4.0

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: pymtbl
 Section: python
 Priority: optional
-Maintainer: Robert S. Edmonds <edmonds@debian.org>
+Maintainer: Robert Edmonds <edmonds@debian.org>
 Build-Depends:
+ cython,
  debhelper (>= 9~),
- libmtbl-dev,
+ dh-python,
+ libmtbl-dev (>= 0.8.0~),
+ pkg-config,
  python-all-dev (>= 2.6.6-3~),
- cython
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: python-mtbl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Description: immutable sorted string table library (Python bindings)
  mtbl is a C library implementation of the Sorted String Table (SSTable)
  data structure, based on the SSTable implementation in the open source

## pymtbl 0.4.1

=== debian/changelog ===
pymtbl (0.4.1-2build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:56 +0000

pymtbl (0.4.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Thu, 06 Feb 2020 20:04:49 -0500

pymtbl (0.4.1-1) experimental; urgency=medium

  * New upstream version 0.4.1
  * debian/control: Build-Depend on the libmtbl-dev in experimental

 -- Robert Edmonds <edmonds@debian.org>  Sun, 03 Dec 2017 14:52:49 -0500

pymtbl (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 29 Aug 2015 15:33:45 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  cython,
  debhelper (>= 9~),
  dh-python,
- libmtbl-dev (>= 0.8.0~),
+ libmtbl-dev (>= 1.1.1-2~),
  pkg-config,
  python-all-dev (>= 2.6.6-3~),
 Standards-Version: 3.9.6
+X-Python-Version: 2.7
 
 Package: python-mtbl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	rm -f mtbl.c
	dh_auto_build
